Bug 228644 - Desktop Effects=on ==> windows with no decorations
Desktop Effects=on ==> windows with no decorations
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-14 00:11 EST by Florin Andrei
Modified: 2008-01-15 09:39 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 09:39:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Florin Andrei 2007-02-14 00:11:29 EST
Description of problem:
I turned Desktop Effects on.
Tried a few applications (Thunderbird, Firefox, etc.). The windows have no
decorations (or whatever is called the bar with the minimize, maximize, close
buttons).

Version-Release number of selected component (if applicable):
compiz-0.0.13-0.32.20060817git.fc6

How reproducible:
only tried once

Steps to Reproduce:
1. see above
2.
3.
  
Actual results:
see above

Expected results:
duh

Additional info:
Comment 1 Mike Lococo 2007-02-14 18:05:29 EST
Is this a duplicate of 212725?
Comment 2 Mike Iglesias 2007-02-14 18:50:27 EST
I'm seeing this with a completely updated FC6 system, which includes
compiz-0.3.6-2.fc6.  I moved the home directory of the user out of the way,
created a new one with just a .cshrc, started X again (the system comes up at
run level 3), turned on desktop-effects, logged out, logged in again, and
started a terminal window.  There were no decorations on the window.
Comment 3 Peter Gordon 2007-02-21 01:04:59 EST
I wonder, is this with the Metacity-themed gtk-window-decorator? Also, is it
just sitting at hogging CPU time after being enabled? Does this work again if
you use the built-in Cairo-based theme? (To do this, set the
"/apps/gwd/use_metacity_theme" GConf key to False; either using the gconf-editor
graphical tool or the gconftool-2 CLI utility.)

This "fixed" it for me. (Actually, I like the Cairo-based theming a lot better,
but the fact remains that the metacity theming engine seems broken somehow... :[)
Comment 4 Vic Ricker 2007-02-22 10:58:27 EST
I am having a similar problem.  I have a fully updated FC6 system using compiz.
 I do have window decorations for a while after logging in but eventually, they
stop working.  When windows get focus, the title bar does not change color and
none of the close, minimize, etc. buttons work any more.  Neither can the window
be dragged by the title bar.  Any windows opened, after the problem starts, have
blank title bars with no buttons or text.

It started happening yesterday.
Comment 5 Brandon Thomas 2007-02-23 08:51:02 EST
I had this same problem.  Running an updated FC6 with Desktop Effects.  I
normally don't run them, but my other CS major friends were boasting about Vista
and how much they liked the desktop effects it had, so I had to show them Fedora
and how its kind of a step ahead of M$FT.  So after having Desktop Effects
enabled for a day, at work I lost the border and title bar.  I can still access
the context menu for minimize and what not through the task bar.  There are also
a few "blank" windows to switch from with ALT+TAB.  What I mean is that I have 8
windows open on 1 workspace, 2 open on the next right one and ALT+TAB gives me
12 windows to switch from.  Selecting one of these "blank" windows simply does
nothing (keeps the current window I had top-most still top-most, this could be
another bug issue though).  

I had the Nuvula Theme selected and tried switching themes to see if this would
restore the border and title bar....nothing.  They are even missing when I
select new login from the Applications -> System Tools and log in.  

Hope this data helps anyone.
Comment 6 Vic Ricker 2007-03-14 13:12:18 EDT
This isn't really a fix but you can kill and restart gtk-window-decorator to get
it working again.

I will try setting use_metacity_theme to false to see how that goes.
Comment 7 David Nielsen 2007-05-26 12:58:20 EDT
I'm seeing this as well, also when compiz is enabled it does not accept changes
to the window decorations from the gnome theme manager.
Comment 8 Bojan Smojver 2007-05-29 04:22:57 EDT
Apparently, window decorations disappearing has been fixed in upstream compiz
(source: http://www.redhat.com/archives/fedora-devel-list/2007-May/msg01829.html).

Any chance we can get 0.5 in at least F7?
Comment 9 Matěj Cepl 2007-12-10 04:22:14 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 10 Matěj Cepl 2008-01-15 09:39:13 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

{This is mass-closing of all obsolete bugs; if this bug was in your opinion
closed by mistake, please, reopen it with additional information; thanks a lot
and I am sorry for bothering you in such case.}

Note You need to log in before you can comment on or make changes to this bug.